"""
Makes an iteratable object out of the given value. If value is already
iterable, it is simply returned. An exception is made for strings, which
are treated as non-iterable (It is assumed that you never want to have a
list of characters). For non iteratable values or strings, a list
containing only value is returned.
"""
def make_iter(value):
    if (not isinstance(value, basestring)):
        try:
            iter(value)
            return value
        except TypeError:
            pass
    return [value]
# vim: set sts=4 sw=4 expandtab:
